package net.heartshield.filter;

/**
 * Filter block accepting data.
 *
 * @author David Madl (git@abanbytes.eu)
 * @date 2017-03-26
 */
public abstract class SinkBlock extends RFilterBlock {
    @Override
    protected double[] batch(double[] x) {
        throw new IllegalStateException("should not call batch() here");
    }

    @Override
    public void put(double[] x) {
        throw new IllegalStateException("override me");
    }
}
